Skip to content
Log in

Pipeline Async

POSThttps://platform.reducto.ai/pipeline_async

Body

  • asyncconfig__v3__AsyncConfig

    The configuration options for asynchronous processing (default synchronous).

    3 properties
    • metadataunknown

      JSON metadata included in webhook request body. Defaults to None.

    • priorityboolean

      Workers poll the priority queue ahead of the standard queue, so priority jobs start sooner when there is queued work; sync jobs are prioritized above async jobs by default.

      Default
      false
    • webhookSvixWebhookConfig | DirectWebhookConfig

      The webhook configuration for the asynchronous processing.

      2 variants
      • modestring
        Default
        "svix"
      • channelsstring[]

        A list of Svix channels the message will be delivered down, omit to send to all channels.

      • modestring
        Default
        "direct"
      • urlstringRequired
  • inputstring | string[] | UploadResponseRequired

    For parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only)

            For edit pipelines, this should be a string containing the edit instructions
    
    UploadResponse properties
    • file_idstringRequired
    • presigned_urlstring
  • pipeline_idstringRequired

    The ID of the pipeline to use for the document.

  • settingsPipelineSettings

    Settings for pipeline execution that override pipeline defaults.

    1 property
    • document_passwordstring

      Password to decrypt password-protected documents.

Response

  • job_idstringRequired
  • detailValidationError[]
    5 properties
    • loc(string | number)[]Required
    • msgstringRequired
    • typestringRequired
    • inputunknown
    • ctxobject

Type to search…

escClose